### Method

# Gimp Config serialize_to_file

#### Declaration [src]

    gboolean
    gimp_config_serialize_to_file (
      GimpConfig* config,
      GFile* file,
      const gchar* header,
      const gchar* footer,
      gpointer data,
      GError** error
    )

#### Description [src]

Serializes the object properties of `config` to the file specified by `file`. If a file with that name already exists, it is overwritten. Basically this function opens `file` for you and calls the serialize function of the `config`‘s `GimpConfigInterface`.

Available since: | 2.10

#### Parameters

`file` | `GFile`
| The file to write the configuration to.
| The data is owned by the caller of the function.
`header` | `const gchar*`
| Optional file header (must be ASCII only)
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`footer` | `const gchar*`
| Optional file footer (must be ASCII only)
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`data` | `gpointer`
| User data passed to the serialize implementation.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if serialization succeeded, `FALSE` otherwise.